Skip to main content
GET
/
cms
/
v3
/
blog-settings
/
settings
Retrieve all blogs. Supports paging and filtering.
curl --request GET \
  --url https://api.hubapi.com/cms/v3/blog-settings/settings \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "absoluteUrl": "<string>",
      "allowComments": true,
      "created": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "htmlTitle": "<string>",
      "id": "<string>",
      "language": "aa",
      "listingPageId": "<string>",
      "name": "<string>",
      "publicAccessRules": [
        {}
      ],
      "publicAccessRulesEnabled": true,
      "publicTitle": "<string>",
      "slug": "<string>",
      "translatedFromId": "<string>",
      "updated": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Requires one of the following products or higher.
Marketing HubMarketing Hub -Professional
Sales HubSales Hub -Free
Service HubService Hub -Free
Content HubContent Hub -Starter
Data HubData Hub -Free

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The cursor token value to get the next set of results. You can get this from the paging.next.after JSON property of a paged response containing more results.

archived
boolean

Specifies whether to return archived Blogs. Defaults to false.

createdAfter
string<date-time>

Only return Blogs created after the specified time.

createdAt
string<date-time>

Only return Blogs created at exactly the specified time.

createdBefore
string<date-time>

Only return Blogs created before the specified time.

limit
integer<int32>

The maximum number of results to return. Default is 100.

sort
string[]

Specifies which fields to use for sorting results. Valid fields are name and id

updatedAfter
string<date-time>

Only return Blogs last updated after the specified time.

updatedAt
string<date-time>

Only return Blogs last updated at exactly the specified time.

updatedBefore
string<date-time>

Only return Blogs last updated before the specified time.

Response

successful operation

Response object for collections of blogs with pagination information.

results
object[]
required

Collection of blogs.

total
integer<int32>
required

Total number of blogs.

paging
object

Model definition for forward paging.

Last modified on February 12, 2026